// #autoload
// #name = Missing functions
// #version = 0.0.3
// #date = 2004-05-22
// #author = Ben Winslow
// #warrior = Raineth
// #description = Add stubs for functionss missing from the Linux client.  This will probably break things in the Win32 client.
// #status = alpha
// #readme = scripts/autoexec/rain/txt/missingfunctions.txt
// #category = Rain's scripts

package missingFunctions {
	// these are called when the console is opened/closed, probably
	// to control keyboard grabbing
	function activateKeyboard()
	{
	}
	function deactivateKeyboard()
	{
	}
	
	function queryPlayerDatabase()
	{
	}
	
	function setPlayerVoiceMuted()
	{
	}

	function NetGraphHud::getPrefs(%this)
	{
	}

	function OP_NetworkDisplayHud::init(%this)
	{
	}
	function OP_NetworkDisplayHud::uninit(%this)
	{
	}

	// I suppose this is force-feedback
	function enableImmersion()
	{
	}

	function savePlayerDatabase()
	{
	}
	function loadPlayerDatabase(%guid)
	{
	}
	function queryPlayerDatabase(%guid)
	{
	}
};

// for some reason, there are also no notable network functions :<
new GuiControl(NetGraphHud) {};
new ScriptObject(OP_NetworkDisplayHud) {};

if ($platform $= "linux")
	activatePackage(missingFunctions);
